/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /tmp/buildd/ros-hydro-cob-srvs-0.5.3-0raring-20150330-0725/srv/SetJointStiffness.srv
 *
 */


#ifndef COB_SRVS_MESSAGE_SETJOINTSTIFFNESSREQUEST_H
#define COB_SRVS_MESSAGE_SETJOINTSTIFFNESSREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace cob_srvs
{
template <class ContainerAllocator>
struct SetJointStiffnessRequest_
{
  typedef SetJointStiffnessRequest_<ContainerAllocator> Type;

  SetJointStiffnessRequest_()
    : joint_stiffness()  {
    }
  SetJointStiffnessRequest_(const ContainerAllocator& _alloc)
    : joint_stiffness(_alloc)  {
    }



   typedef std::vector<float, typename ContainerAllocator::template rebind<float>::other >  _joint_stiffness_type;
  _joint_stiffness_type joint_stiffness;




  typedef boost::shared_ptr< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> const> ConstPtr;
  boost::shared_ptr<std::map<std::string, std::string> > __connection_header;

}; // struct SetJointStiffnessRequest_

typedef ::cob_srvs::SetJointStiffnessRequest_<std::allocator<void> > SetJointStiffnessRequest;

typedef boost::shared_ptr< ::cob_srvs::SetJointStiffnessRequest > SetJointStiffnessRequestPtr;
typedef boost::shared_ptr< ::cob_srvs::SetJointStiffnessRequest const> SetJointStiffnessRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace cob_srvs

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': False, 'IsMessage': True, 'HasHeader': False}
// {'std_msgs': ['/opt/ros/hydro/share/std_msgs/cmake/../msg'], 'trajectory_msgs': ['/opt/ros/hydro/share/trajectory_msgs/cmake/../msg'], 'geometry_msgs': ['/opt/ros/hydro/share/geometry_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> const>
  : FalseType
  { };

template <class ContainerAllocator>
struct IsMessage< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "3f30c4d99702f028fe1bef65668a3d21";
  }

  static const char* value(const ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x3f30c4d99702f028ULL;
  static const uint64_t static_value2 = 0xfe1bef65668a3d21ULL;
};

template<class ContainerAllocator>
struct DataType< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "cob_srvs/SetJointStiffnessRequest";
  }

  static const char* value(const ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "float32[] joint_stiffness\n\
";
  }

  static const char* value(const ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.joint_stiffness);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct SetJointStiffnessRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::cob_srvs::SetJointStiffnessRequest_<ContainerAllocator>& v)
  {
    s << indent << "joint_stiffness[]" << std::endl;
    for (size_t i = 0; i < v.joint_stiffness.size(); ++i)
    {
      s << indent << "  joint_stiffness[" << i << "]: ";
      Printer<float>::stream(s, indent + "  ", v.joint_stiffness[i]);
    }
  }
};

} // namespace message_operations
} // namespace ros

#endif // COB_SRVS_MESSAGE_SETJOINTSTIFFNESSREQUEST_H
